@font-face {
    font-family: SegoeUI;
    src:
        local("Segoe UI"),
        url(//c.s-microsoft.com/static/fonts/segoe-ui/west-european/normal/latest.woff2) format("woff2"),
        url(//c.s-microsoft.com/static/fonts/segoe-ui/west-european/normal/latest.woff) format("woff"),
        url(//c.s-microsoft.com/static/fonts/segoe-ui/west-european/normal/latest.ttf) format("truetype");
    font-weight: 400;
}

html {
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

ul,
ol {
    margin: 0;
    padding-left: 0;
    list-style: none;
}

sup {
    line-height: 0;
}

.cf:before,
.cf:after {
    content: " ";
    display: table;
}

.cf:after {
    clear: both;
}

html {
    font-family: "Helvetica Neue", Arial, sans-serif;
    min-height: 100%;
}

/*------------------------------------*/
.header-main {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 100;
    box-shadow: 2px 2px 8px #000;
    background: rgb(255, 0, 100);
}

.header-main h1 {
    line-height: 2;
    float: left;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    margin: 0;
    color: #000;
    font-family: "SegoeUI", "Myriad Pro Regular", sans-serif;
    letter-spacing: 4px;
    text-transform: uppercase;
}

.header-main h1 sup {
    font-size: .6em;
}

.nav-main {
    position: relative;
}

.nav-main-menu-toggle {
    display: none;
}

.nav-main-menu-toggle-icon {
    position: fixed;
    z-index: 200;
    width: 64px;
    height: 64px;
    top: 0;
    right: 0;
    cursor: pointer;
}

.nav-main-menu-toggle-icon span {
    width: 80%;
    top: 50%;
    left: 10%;
    transform: translateY(-50%);
}

.nav-main-menu-toggle-icon span::before,
.nav-main-menu-toggle-icon span,
.nav-main-menu-toggle-icon span::after {
    background-color: #000;
    height: 6px;
    position: absolute;
    content: '';
    transition: all .25s ease-in;
}

.nav-main-menu-toggle-icon span::before {
    width: 100%;
    top: -10px;
}

.nav-main-menu-toggle-icon span::after {
    width: 100%;
    top: 10px;
}

.nav-main-menu-toggle:checked~.nav-main-menu-toggle-icon span {
    background-color: transparent;
}

.nav-main-menu-toggle:checked~.nav-main-menu-toggle-icon span::before,
.nav-main-menu-toggle:checked~.nav-main-menu-toggle-icon span::after {
    top: 0;
}

.nav-main-menu-toggle:checked~.nav-main-menu-toggle-icon span::before {
    transform: rotate(-135deg);
}

.nav-main-menu-toggle:checked~.nav-main-menu-toggle-icon span::after {
    transform: rotate(135deg);
}

/* style the UL left 0 width 0 can not be seen */
.nav-main-menu {
    position: fixed;
    z-index: 50;
    top: 4em;
    left: 0;
    width: 100vw;
    height: 0;
    transition:
        height .5s .25s ease-in,
        box-shadow .25s ease-in;
    background-color: hsla(210, 3%, 23%, 0.75);
    backdrop-filter: blur(20px);
    box-shadow: none;
    overflow-y: hidden;
    overflow-x: hidden;
}

/* when input checked show the UL */
.nav-main-menu-toggle:checked~.nav-main-menu {
    height: calc(60vh - 3em);
    box-shadow: 2px 2px 8px #000;
}

/* style the anchor */
.nav-main-menu a {
    position: relative;
    display: block;
    font-size: 1.5em;
    line-height: 2;
    font-family: "SegoeUI";
    font-weight: 300;
    color: hsl(0, 0%, 100%);
    text-decoration: none;
    text-indent: 1.25rem;
    margin: 4px 0;
    transition: all .25s ease-in;
}

/* create and style the anchor's ::before pseudo element */
.nav-main-menu a::before {
    position: absolute;
    z-index: -1;
    top: 0;
    bottom: 0;
    content: "";
    display: inline-block;
    width: 0vw;
    transition: inherit;
}

/* style anchor :hover */
.nav-main-menu a:hover {
    text-indent: 1.5rem;
    background: url(images/zune.png) no-repeat top 0px right 64px / 2em 2em,
        rgb(233, 12, 104);
    color: #000;
    width: 100vw;
}

/* style the ::before when :hover on anchor */
.nav-main-menu a:hover::before {
    transform: translateX(100vw);
    opacity: 0;
}

.nav-main-menu a img {
    display: none;
}

/* Cards */
.cards {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    padding: 0;
}

.cards .card {
    flex: 0 0 calc(100% - 20px);
    display: flex;
    margin: 10px;
    min-width: 0;
    border-radius: 5px;
    box-shadow: 2px 2px 8px #000;
}

.cards .card-link {
    text-decoration: none;
    color: inherit;
    display: flex;
    flex-direction: column;
    flex: 0 0 100%;
    background: linear-gradient(180deg, hsla(0, 0%, 0%, .5) 0%, hsla(339, 100%, 55%, 1) 40%, hsla(339, 100%, 55%, 1) 100%);
    border-radius: 5px;
}

.cards .card-figure {
    position: relative;
    margin: 0;
    line-height: 0;
    overflow: hidden;
    border-radius: 5px 5px 0px 0px;
}

.cards .card-figure-image {
    max-width: none;
    float: none;
    width: 100%;
    height: 200px;
    object-fit: cover;
    margin: 0px;
    transform-origin: 80% 12%;
    transform: rotate(0) scale(1);
    transition: all 2s;
    filter: grayscale(100);
    border-radius: 0px;
}

.cards .card-figure-caption {
    padding: 0 10px;
}

.cards .card-link:hover .card-figure-image {
    transform: rotate(6deg) scale(2);
    filter: grayscale(0);
}

.cards .card-link:hover .card-section-button {
    background-color: #000;
    border: 1px solid #000;
    color: #fff;
}

.cards .card-figure-caption {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0px;
    background: hsla(228, 3%, 34%, 0.5);
    color: hsla(0, 0%, 100%, 1);
    line-height: 2;
    font-style: italic;
    font-size: .9em;
}

.cards .card-section {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    margin: 0px;
    padding: 10px;
    border-radius: 0px 0px 5px 5px;
    background-color: var(--color-black-60);
    box-shadow: none;
}

.cards .card-section-title {
    margin-bottom: 0;
    border-bottom: 1px solid;
    font-family: "SegoeUI";
    font-weight: 300;
}

.cards .card-section-meta {
    display: flex;
    flex-wrap: wrap;
}

.cards .card-section-meta * {
    flex: 0 0 50%;
    font-size: .8em;
    line-height: 1.75;
}

.cards .card-section-meta :nth-child(even) {
    text-align: right;
}

.cards .card-section-excerpt {
    flex-grow: 1;
}

.cards .card-section-button {
    align-self: flex-end;
    margin: 10px;
    padding: 0 1em;
    border-radius: .5em;
    border: 1px solid;
    line-height: 2;
}

/* End of Cards */

body {
    min-height: 100%;
    margin: 0px;
    background: url(images/waveform.png) repeat-x fixed,
        url(images/zune.png) no-repeat bottom right,
        #000 linear-gradient(to bottom, rgb(56, 100, 245), rgb(233, 12, 104) 64%) fixed;
}

.container {
    margin: 0 .625rem;
    overflow: hidden;
}

.wrapper {
    background: #2a2c2e;
    margin-top: 64px;
    margin-bottom: 10px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.8);
    border-radius: 5px;
}

section {
    overflow: hidden;
    margin: 20px;
    border-radius: 5px;
    padding: 10px;
    box-shadow: 2px 2px 8px #000;
    background: linear-gradient(180deg, hsla(0, 0%, 0%, .5) 0%, hsla(339, 100%, 55%, 1) 40%, hsla(339, 100%, 55%, 1) 100%);
    color: #000;
}

h2 {
    margin: 24px 0 8px;
    color: #fff;
    font-family: "Segoe UI";
    text-shadow: 2px 2px 8px #000;
    text-transform: uppercase;
    font-weight: 400;
}

p {
    margin: 16px 0 16px;
    line-height: 1.4;
    text-indent: 12px;
}

img {
    width: 100%;
    border-radius: 5px;
    box-shadow: 2px 2px 8px #000;
}

footer {
    clear: both;
    overflow: auto;
    margin: 0 10px;
    padding: 0 0 20px;
    color: #fff;
    font-size: .8em;
    float: right;
}

footer a[href^=javascript] {
    position: relative;
    color: #000;
    display: block;
    line-height: 2em;
    font-size: 0.625em;
    background-color: #fff;
    border-radius: 2px;
    margin: 0 0 0 10px;
    padding: 0 10px;
    float: right;
    text-decoration: none;
    box-shadow: 0 2px 2px #000;
}

footer a[href^=http]:active {
    top: 2px;
    box-shadow: none;
}

/*Buttons*/
/*Default*/
.button {
    display: inline-block;
    line-height: 2;
    padding: 0 1em;
    text-decoration: none;
    border-radius: 5px;
    color: hsl(0, 0%, 100%);
    box-shadow: 2px 2px 8px #000;
    background: #2a2c2e;
}

.button:link {
    font-weight: bold;
}

.button:hover {
    box-shadow: 1px 1px 8px #000;
}

.button:active {
    box-shadow: none;
}

.button-small {
    font-size: 0.8em;
}

.button-large {
    font-size: 1.2em;
}

/*Button with Logo*/
.button-branded {
    display: inline-block;
    line-height: 2;
    padding: 0 2em;
    text-decoration: none;
    border-radius: 5px;
    color: #000;
    border: .5px solid #000;
    box-shadow: 2px 2px 8px #000;
    background: url(images/zune.png) no-repeat top 0px right 0px / 2em 2em,
        linear-gradient(180deg, hsla(0, 0%, 0%, .5) 0%, hsla(339, 100%, 55%, 1) 25%, hsla(339, 100%, 55%, 1) 100%);
    font-weight: bold;
}

.button-branded:link {
    font-weight: bold;
}

.button-branded:hover {
    box-shadow: .5px .5px 6px #000;
}

.button-branded:active {
    background: url(images/zune.png) no-repeat top 0px right 0px / 2em 2em,
        hsla(339, 100%, 55%, 1);
    box-shadow: none;
}

.button-branded-small {
    font-size: 0.8em;
}

.button-branded-large {
    font-size: 1.2em;
}

/*Call to Action Button*/
.button-cta {
    display: inline-block;
    line-height: 2;
    padding: 0 2em;
    text-decoration: none;
    border-radius: 5px;
    color: #fff;
    box-shadow: 4px 4px 8px #000;
    background: rgb(56, 100, 245);
    font-weight: bold;
}

.button-cta:link {
    font-weight: bold;
}

.button-cta:hover {
    box-shadow: 1px 1px 8px #000;
}

.button-cta:active {
    box-shadow: none;
}

.button-cta-disabled {
    background: rgb(150, 150, 150);
    color: rgb(25, 25, 25);
    box-shadow: 1px 1px 8px #000;
    cursor: pointer;
}

.button-cta-disabled:hover {
    box-shadow: 1px 1px 8px #000;
    cursor: pointer;
}

.button-cta-disabled:active {
    box-shadow: 1px 1px 8px #000;
    cursor: pointer;
}

.button-cta-large {
    font-size: 1.2em;
}

/*Square Button*/
.button-square {
    display: inline-block;
    padding: 6em 1em .5em 1em;
    min-width: 8em;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    border-radius: 5px;
    color: #fff;
    box-shadow: 4px 4px 8px #000;
    background: url(images/zune.png) no-repeat top .5em right 1.1em / 6em 6em,
        rgb(56, 100, 245);
    font-weight: bold;
}

.button-square:link {
    font-weight: bold;
}

.button-square:hover {
    box-shadow: 1px 1px 8px #000;
}

.button-square:active {
    box-shadow: none;
}

.button-square-small {
    font-size: 0.8em;
}

.button-square-disabled {
    background: url(images/zune.png) no-repeat top .5em right 1.1em / 6em 6em,
        rgb(150, 150, 150);
    color: rgb(25, 25, 25);
    box-shadow: 1px 1px 8px #000;
    cursor: pointer;
}

.button-square-disabled:hover {
    box-shadow: 1px 1px 8px #000;
    cursor: pointer;
}

.button-square-disabled:active {
    box-shadow: 1px 1px 8px #000;
    cursor: pointer;
}

.callout {
    font-family: sans-serif;
    padding: 12px;
    border-radius: 5px;
}

.callout-heading {
    color: white;
    font-family: "SegoeUI";
    font-size: 3em;
    text-transform: uppercase;
    margin: 0 0 32px;
}

.callout-intro {
    color: #000;
    font-size: 1.5em;
    margin: 0 0 16px;
}

.subscribe-newsletter {
    --color-white-20: hsla(0, 0%, 100%, 0.20);
    --color-white-40: hsla(0, 0%, 100%, 0.40);
    --color-white-60: hsla(0, 0%, 100%, 0.60);
    --color-white-80: hsla(0, 0%, 100%, 0.80);
    --color-black-20: hsla(0, 0%, 0%, 0.20);
    --color-black-40: hsla(0, 0%, 0%, 0.40);
    --color-black-60: hsla(0, 0%, 0%, 0.60);
    --color-black-80: hsla(0, 0%, 0%, 0.80);
    --color-button-dark: rgb(90, 90, 90);
    --color-button-light: rgb(0, 59, 253);
    --z-index: -1;
}

.subscribe-newsletter {
    transition: all 1s ease-in;
    background: var(--color-white-20);
    border-radius: .5em;
}

.subscribe-newsletter {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: stretch;
    overflow: hidden;
}

.subscribe-newsletter fieldset {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0;
    margin: 0;
    border: none;
}

.subscribe-newsletter fieldset:first-child {
    flex: 1 1 auto;
}

.subscribe-newsletter fieldset:last-child::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: url("images/loader-circles-spin.svg") no-repeat center;
    z-index: var(--z-index, -1);
}

.subscribe-newsletter input:not([type="radio"]):not([type="checkbox"]) {
    appearance: none;
    -webkit-appearance: none;
    border: none;
    border-radius: 0;
}

.subscribe-newsletter input {
    position: relative;
    font-family: inherit;
    font-size: 1.2em;
    line-height: 2.4;
    letter-spacing: 0.05em;
    padding: 0 .5em;
    margin: 0;
    color: var(--color-button-dark);
}

.subscribe-newsletter input[type=email] {
    background: var(--color-white-60);
}

.subscribe-newsletter input[type=email]:focus {
    outline: none;
    box-shadow: inset 0 0 0 2px var(--color-button-dark);
}

.subscribe-newsletter input::placeholder {
    position: relative;
    color: #000;
    opacity: .75
}

.subscribe-newsletter input::placeholder {
    transition: opacity .5s ease;
}

.subscribe-newsletter input:focus::placeholder {
    transform: translateX(100%);
    transition: transform 1s cubic-bezier(1, .48, .83, .67), opacity 2s ease;
    opacity: 0
}

.subscribe-newsletter input[type=submit],
.subscribe-newsletter input[type=submit]:invalid {
    background: var(--color-button-dark);
    color: white;
    font-weight: bold;
    text-transform: uppercase;
    padding: 0 1em;
    transition: all 1s .5s ease-in;
    transform-origin: right center;
    transform: scale(1);
}

.subscribe-newsletter:valid input[type=submit] {
    background: var(--color-button-light);
    transform: scale(1);
}

.subscribe-newsletter fieldset input[type=submit]:disabled {
    background: rgb(90, 90, 90);
    color: rgb(90, 90, 90);
    transform: scale(1);
}

.subscribe-newsletter label {
    color: var(--color-black-80);
    line-height: 1.625em;
    padding: .5em;
}

.subscribe-newsletter.sending {
    background: var(--color-white-60);
}

.subscribe-newsletter.received {
    background: var(--color-white-20);
}


.subscribe-newsletter .subscribe-newsletter-message-error {
    background: var(--color-button-dark);
}

.subscribe-newsletter .subscribe-newsletter-message-success {
    background: var(--color-white-80);
    color: var(--color-button-dark);
    font-size: 1.6em;
    flex: 1;
    text-align: center;
}

/*
Start Media Query
    if screen is 48rem or larger (can use px or em)
    rem is based on font size of root element
        (16px * 48 = 768)
    use the following rules
*/

@media (min-width: 48rem) {
    .container {
        width: 96%;
        max-width: 800px;
        margin: 10px auto;
    }

    /*  override size and position of header */
    .header-main {
        position: static;
        height: 300px;
        display: flex;
        margin: 10px;
        background: url(images/multiple-zunes.png) no-repeat center center / cover,
            url(images/waveform.png) repeat-x 80px -10px / 200px 200px,
            #000 linear-gradient(to bottom, rgba(56, 100, 245), rgb(233, 12, 104));
        box-shadow: 2px 2px 8px #000;
        border-radius: 5px;
        text-transform: capitalize;
    }

    .header-main h1 {
        line-height: 120px;
        font-size: 2.75em;
        transform: translateX(-50%);
        text-align: center;
        flex: 1 0 auto;
        margin: 0;
        color: #fff;
        font-family: "SegoeUI", "Arial", sans-serif;
        text-transform: uppercase;
        text-shadow: 2px 2px 8px #000;
        background: linear-gradient(180deg, rgba(255, 26, 106, 0.39) 0%, rgba(0, 0, 0, 0.5) 100%);
        border-radius: 5px;


    }

    /*  hide the checkbox and the hamburger */
    .nav-main-menu-toggle,
    .nav-main-menu-toggle-icon {
        display: none;
    }

    /*  override and reset to no style */
    .nav-main-menu {
        display: flex;
        justify-content: center;
        position: relative;
        z-index: 0;
        top: auto;
        left: auto;
        width: auto;
        height: auto;
        transition: none;
        background-color: #2a2c2e;
        overflow: hidden;
        padding: 0 40px;
        box-shadow: 2px 2px 8px #000;
    }

    /*  override and reset to no style */
    .nav-main-menu-toggle:checked~.nav-main-menu {
        width: auto;
        box-shadow: none;
    }

    /*  override and basic style for navigation large screen */
    .nav-main-menu a {
        position: static;
        display: block;
        text-indent: 0;
        padding: 0 .6em;
        transition: all .25s linear;
        border-radius: 5px;
        color: hsl(0, 0%, 85%);
        font-family: "SegoeUI";
        text-transform: uppercase;
    }

    /*  hide the a:::before */
    .nav-main-menu a::before {
        display: none;
    }

    /*  basic style for navigation large screen */
    .nav-main-menu a:hover {
        text-indent: 0;
        color: hsl(0, 0%, 100%);
        background: #2a2c2e;
        width: auto;
        text-shadow: 2px 2px 8px #000;
    }

    .nav-main-menu a:active {
        text-indent: 0;
        color: hsl(0, 0%, 100%);
        background-color: #2a2c2e;
    }

    .nav-main-menu a img {
        display: block;
        box-shadow: none;
        margin: 0px;
        height: 48px;
    }

    header {
        height: 300px;
        background: url(images/multiple-zunes.png) no-repeat center center / cover,
            url(images/waveform.png) repeat-x 80px -10px / 200px 200px,
            #000 linear-gradient(to bottom, rgba(56, 100, 245), rgb(233, 12, 104));
    }

    header h1 {
        line-height: 2;
        font-size: 2.75em;
        align-self: flex-end;
        text-transform: uppercase;
        letter-spacing: 10px;
        backdrop-filter: blur(5px);
    }

    img {
        width: auto;
        max-width: 200px;
        float: right;
        margin: 0 0 2px 4px;
    }

    .callout {
        padding: 80px;
    }

    .subscribe-newsletter {
        flex-direction: row;
        height: 8em;
        align-items: center;
    }

    .subscribe-newsletter:valid input[type=submit] {
        transform: scale(1.2);
        color: #fff;
        box-shadow: 1px 1px 8px #000;
    }

    .cards .card {
        /*flex: 0 0 calc(25% - 20px);*/
        flex: 0 0 calc(33.333% - 20px);
        /*flex: 0 0 calc(50% - 20px);*/
    }

    .cards .card-link:hover .card-section {
        transform: translateY(-30px);
        background-color: rgb(233, 12, 104);
    }

    .cards .card-link:hover .card-figure-caption {
        display: none;
    }

    /*
    .cards .card:first-child {
        flex: 1 1 auto;
    }
    .cards .card:nth-child(n+4) {
        flex: 0 0 calc(33.333% - 20px);
    }
    */
}